#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	CAST5
Summary:	Crypt::CAST5 - CAST5 block cipher implementation in C
Summary(pl.UTF-8):	Crypt::CAST5 - implementacja szyfru blokowego CAST5 w C
Name:		perl-Crypt-CAST5
Version:	0.05
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f4a876c68885950d5df3c30ede634787
URL:		http://search.cpan.org/dist/Crypt-CAST5/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an implementation of the CAST5 block cipher using
compiled C code for increased speed. CAST5 is also known as CAST-128.
It is a product of the CAST design procedure developed by C. Adams and
S. Tavares.

%description -l pl.UTF-8
Ten moduł zawiera implementację szyfru blokowego CAST5 w postaci
skompilowanego kodu C, aby zapewnić większą szybkość. CAST5 jest znany
także jako CAST-128. Jest to produkt projektu CAST tworzonego przez C.
Adamsa i S. Tavaresa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/CAST5.pm
%dir %{perl_vendorarch}/auto/Crypt/CAST5
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/CAST5/CAST5.so
%{_mandir}/man3/Crypt::CAST5.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-CAST5.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 04af78e
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 90278ae
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 335035c
- rebuild with perl 5.30.0
- release 17 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 33cfa08
- release 16

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3a7320e
- perl req/prov fix
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 462263c
- rebuild with perl 5.26
- release 14 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1fbeca4
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 897b790
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5c9d2e7
- x32 rebuild
- release 11 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4088ea4
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a476c2b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1c4a2e4
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 079b77c
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 2988429
- unified Source URL

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> b99dfb1
- rel 7

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> a478343
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fcc0cb
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 6c13e7f
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> c7a60d0
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4446992
- rel 2

